package com.ruoyi.project.training.bccnew.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 芳烃培训对象 t_ts_ftplan
 *
 * @author ssy
 * @date 2024-06-13
 */
public class TTsFtplan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 培训员工编号 */
    @Excel(name = "培训员工编号")
    private Long newId;

    /** 课程编号 */
    @Excel(name = "课程编号")
    private String courseCode;

    /** 培训主题 */
    @Excel(name = "培训主题")
    private String topic;

    /** 培训内容 */
    @Excel(name = "培训内容")
    private String content;

    /** 培训天 */
    @Excel(name = "培训天")
    private String courseDay;

    /** 培训小时 */
    @Excel(name = "培训小时")
    private Double courseHour;

    /** 详细计划 */
    @Excel(name = "详细计划")
    private String detailPlan;

    /** 讲师 */
    @Excel(name = "讲师")
    private String trainer;

    /** 培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date courseDate;

    /** 考核情况 */
    @Excel(name = "考核情况")
    private String assess;

    /** 删除状态 */
    private Long delFlag;

    private Integer study;

    public Integer getStudy() {
        return study;
    }

    public void setStudy(Integer study) {
        this.study = study;
    }

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 培训状态 */
    @Excel(name = "培训状态")
    private Long planStatus;

    /** 第一次成绩 */
    @Excel(name = "第一次成绩")
    private String score1;

    /** 第二次成绩 */
    @Excel(name = "第二次成绩")
    private String score2;

    /** 第三次成绩 */
    @Excel(name = "第三次成绩")
    private String score3;

    private String deptName;

    private String staffName;

    private String fileUrl;

    private String fileName;

    private Long timer;

    private Double timerNeed;
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date planDate;

    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date planEndData;

    private Long sortTmpl;

    private List<TTsFtplanContent> contents;

    private String planStartData;

    private Integer scorePass;

    private Long pid;

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public Integer getScorePass() {
        return scorePass;
    }

    public void setScorePass(Integer scorePass) {
        this.scorePass = scorePass;
    }

    public String getPlanStartData() {
        return planStartData;
    }

    public void setPlanStartData(String planStartData) {
        this.planStartData = planStartData;
    }

    public List<TTsFtplanContent> getContents() {
        return contents;
    }

    public void setContents(List<TTsFtplanContent> contents) {
        this.contents = contents;
    }

    public Long getSortTmpl() {
        return sortTmpl;
    }

    public void setSortTmpl(Long sortTmpl) {
        this.sortTmpl = sortTmpl;
    }

    public Date getPlanDate() {
        return planDate;
    }

    public void setPlanDate(Date planDate) {
        this.planDate = planDate;
    }

    public Date getPlanEndData() {
        return planEndData;
    }

    public void setPlanEndData(Date planEndData) {
        this.planEndData = planEndData;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Long getTimer() {
        return timer;
    }

    public void setTimer(Long timer) {
        this.timer = timer;
    }

    public Double getTimerNeed() {
        return timerNeed;
    }

    public void setTimerNeed(Double timerNeed) {
        this.timerNeed = timerNeed;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNewId(Long newId)
    {
        this.newId = newId;
    }

    public Long getNewId()
    {
        return newId;
    }
    public void setCourseCode(String courseCode)
    {
        this.courseCode = courseCode;
    }

    public String getCourseCode()
    {
        return courseCode;
    }
    public void setTopic(String topic)
    {
        this.topic = topic;
    }

    public String getTopic()
    {
        return topic;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setCourseDay(String courseDay)
    {
        this.courseDay = courseDay;
    }

    public String getCourseDay()
    {
        return courseDay;
    }
    public void setCourseHour(Double courseHour)
    {
        this.courseHour = courseHour;
    }

    public Double getCourseHour()
    {
        return courseHour;
    }
    public void setDetailPlan(String detailPlan)
    {
        this.detailPlan = detailPlan;
    }

    public String getDetailPlan()
    {
        return detailPlan;
    }
    public void setTrainer(String trainer)
    {
        this.trainer = trainer;
    }

    public String getTrainer()
    {
        return trainer;
    }
    public void setCourseDate(Date courseDate)
    {
        this.courseDate = courseDate;
    }

    public Date getCourseDate()
    {
        return courseDate;
    }
    public void setAssess(String assess)
    {
        this.assess = assess;
    }

    public String getAssess()
    {
        return assess;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setPlanStatus(Long planStatus)
    {
        this.planStatus = planStatus;
    }

    public Long getPlanStatus()
    {
        return planStatus;
    }
    public void setScore1(String score1)
    {
        this.score1 = score1;
    }

    public String getScore1()
    {
        return score1;
    }
    public void setScore2(String score2)
    {
        this.score2 = score2;
    }

    public String getScore2()
    {
        return score2;
    }
    public void setScore3(String score3)
    {
        this.score3 = score3;
    }

    public String getScore3()
    {
        return score3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("newId", getNewId())
            .append("courseCode", getCourseCode())
            .append("topic", getTopic())
            .append("content", getContent())
            .append("courseDay", getCourseDay())
            .append("courseHour", getCourseHour())
            .append("detailPlan", getDetailPlan())
            .append("trainer", getTrainer())
            .append("courseDate", getCourseDate())
            .append("assess", getAssess())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("planStatus", getPlanStatus())
            .append("score1", getScore1())
            .append("score2", getScore2())
            .append("score3", getScore3())
            .toString();
    }
}
